package com.iamberry.wechat.core.entity.product;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;


/**
 * @author 刘志伟
 * Introduction to the ： 商品信息表tb_iamberry_product_info
 * create date: 2016年1月1日
 */
public class Product implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7608606865977788750L;

	private Integer productId;				//商品id
	private Integer colorId;					//商品颜色id
	private String productName;				//商品名称
	private String productAbbreviation;		//商品简称
	private Integer productDiscount;		//商品折扣价<数据库无字段>
	private Integer productPrice;			//商品原价<数据库无字段>
	private String colorImg;	//颜色图片
	
	private Integer productSalesnum;		//已售数量
	private Integer productAccessnum;		//浏览量
	private Integer productStatus;			//商品状态		1:在售	2:停止销售	3:删除
	private String productIntroduceImg;		//介绍图(列表显示图)
	private String productParameterImg;		//产品参数图(暂不使用)
	private Integer productRentType;		//产品销售类型  1:销售产品    2:租赁产品
	
	private Date productCreateDate;			//创建时间
	private Integer productSortNum;			//排序
	private String productColorDes;			//产品颜色释义
	private String productRemark;			//产品备注
	private String productColor;			//产品颜色
	private ProductType productType = new ProductType();			//商品类型
	private List<ProductColor> colorList = new ArrayList<ProductColor>();		//商品颜色
	private PageBean page = new PageBean();	//分页信息
	private ProductImageText productImageText = new ProductImageText();
	private List<ProductPicture> pictureList = new ArrayList<ProductPicture>();	//产品 banner图
	private Integer minMoney;		//页面显示   最小金额
	
	private Integer maxMoney;		//页面显示  最大金额
	private Date beginDate;			//页面显示  开始时间
	private Date endDate;				//页面显示  结束时间

	public Integer getColorId() {
		return colorId;
	}

	public void setColorId(Integer colorId) {
		this.colorId = colorId;
	}

	public Integer getMinMoney() {
		return minMoney;
	}

	public void setMinMoney(Integer minMoney) {
		this.minMoney = minMoney;
	}

	public Integer getProductRentType() {
		return productRentType;
	}

	public void setProductRentType(Integer productRentType) {
		this.productRentType = productRentType;
	}

	public List<ProductColor> getColorList() {
		return colorList;
	}

	public void setColorList(List<ProductColor> colorList) {
		this.colorList = colorList;
	}

	public Integer getMaxMoney() {
		return maxMoney;
	}

	public void setMaxMoney(Integer maxMoney) {
		this.maxMoney = maxMoney;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public ProductImageText getProductImageText() {
		return productImageText;
	}

	public void setProductImageText(ProductImageText productImageText) {
		this.productImageText = productImageText;
	}

	public List<ProductPicture> getPictureList() {
		return pictureList;
	}

	public void setPictureList(List<ProductPicture> pictureList) {
		this.pictureList = pictureList;
	}

	public Integer getProductId() {
		return productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getProductAbbreviation() {
		return productAbbreviation;
	}

	public void setProductAbbreviation(String productAbbreviation) {
		this.productAbbreviation = productAbbreviation;
	}

	public Integer getProductDiscount() {
		return productDiscount;
	}

	public void setProductDiscount(Integer productDiscount) {
		this.productDiscount = productDiscount;
	}

	public Integer getProductPrice() {
		return productPrice;
	}

	public void setProductPrice(Integer productPrice) {
		this.productPrice = productPrice;
	}

	public Integer getProductSalesnum() {
		return productSalesnum;
	}

	public void setProductSalesnum(Integer productSalesnum) {
		this.productSalesnum = productSalesnum;
	}

	public Integer getProductAccessnum() {
		return productAccessnum;
	}

	public void setProductAccessnum(Integer productAccessnum) {
		this.productAccessnum = productAccessnum;
	}

	public Integer getProductStatus() {
		return productStatus;
	}

	public void setProductStatus(Integer productStatus) {
		this.productStatus = productStatus;
	}

	public String getProductIntroduceImg() {
		return productIntroduceImg;
	}

	public void setProductIntroduceImg(String productIntroduceImg) {
		this.productIntroduceImg = productIntroduceImg;
	}

	public String getProductParameterImg() {
		return productParameterImg;
	}

	public void setProductParameterImg(String productParameterImg) {
		this.productParameterImg = productParameterImg;
	}

	public Date getProductCreateDate() {
		return productCreateDate;
	}

	public void setProductCreateDate(Date productCreateDate) {
		this.productCreateDate = productCreateDate;
	}

	public Integer getProductSortNum() {
		return productSortNum;
	}

	public void setProductSortNum(Integer productSortNum) {
		this.productSortNum = productSortNum;
	}

	public String getProductColorDes() {
		return productColorDes;
	}

	public void setProductColorDes(String productColorDes) {
		this.productColorDes = productColorDes;
	}

	public String getProductRemark() {
		return productRemark;
	}

	public void setProductRemark(String productRemark) {
		this.productRemark = productRemark;
	}

	public String getProductColor() {
		return productColor;
	}

	public void setProductColor(String productColor) {
		this.productColor = productColor;
	}

	public ProductType getProductType() {
		return productType;
	}

	public void setProductType(ProductType productType) {
		this.productType = productType;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public String getColorImg() {
		return colorImg;
	}

	public void setColorImg(String colorImg) {
		this.colorImg = colorImg;
	}

	@Override
	public String toString() {
		return "Product [productId=" + productId + ", productName="
				+ productName + ", productAbbreviation=" + productAbbreviation
				+ ", productDiscount=" + productDiscount + ", productPrice="
				+ productPrice + ", productSalesnum=" + productSalesnum
				+ ", productAccessnum=" + productAccessnum + ", productStatus="
				+ productStatus + ", productIntroduceImg="
				+ productIntroduceImg + ", productParameterImg="
				+ productParameterImg + ", productCreateDate="
				+ productCreateDate + ", productSortNum=" + productSortNum
				+ ", productColorDes=" + productColorDes + ", productRemark="
				+ productRemark + ", productColor=" + productColor + ", page="
				+ page + ", productImageText=" + productImageText
				+ ", pictureList=" + pictureList + "]";
	}


}
